Skip to main content
`Ctrl`+`K`

# DMDAGetCellPoint

Get the `DM` point corresponding to the tuple (i, j, k) in the `DMDA`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetCellPoint(DM dm, PetscInt i, PetscInt j, PetscInt k, PetscInt *point)

## Input Parameters

- dm - The `DMDA` object

- i - The global x index for the cell

- j - The global y index for the cell

- k - The global z index for the cell

## Output Parameter

- point - The local `DM` point

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGetNumCells()`

## Level

developer

## Location

src/dm/impls/da/dalocal.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages